@import url('https://fonts.googleapis.com/css2?family=Figtree:ital,wght@0,300..900;1,300..900&display=swap');

:root {
    --growth-green: #e8f5e9;
    --growth-red: #ffebee;
}

#wpbody, 
#wpbody span {
    font-family: "Figtree", serif !important;
}

:root {
    --primary-color: #0073AA;
    --secondary-color: #2F3133;
    --tertiary-color: #808489;
}

a:focus {
    box-shadow: none;
}

.clearfix {
    clear: both;
}

body {
    background: #FFFFFF;
    margin: 0;
    padding: 0;
    height: 100%;
}

#wpcontent {
    padding-left: 0;
}

#wpbody-content {
    padding-bottom: 0;
}

#wpfooter {
    display: none;
}

/* Frame Work */
.yoo-btn {
    display: inline-block;
    padding: 10px 20px;
    font-size: 13px;
    font-weight: 600;
    text-align: center;
    border: 2px solid transparent;
    border-radius: 4px;
    cursor: pointer;
    transition: background-color 0.3s, transform 0.2s;
    outline: none;
}
  
.yoo-btn-primary {
    background-color: #1a7efb;
    color: #fff;
    border-color: #1a7efb;
}
  
.yoo-btn-primary:hover {
    background-color: #1469d9;
    border-color: #1469d9;
}
  
.yoo-btn-primary:active {
    background-color: #0f59c7;
    border-color: #0f59c7;
}
  
.yoo-btn:focus {
    box-shadow: 0 0 0 3px rgba(26, 126, 251, 0.5);
}  

.yoo-dashboard {
    margin: 10px;
    display: flex;
}

.yoo-menu {
    background: #FAFAFA;
    border-radius: 6px;
    bottom: 7px;
    overflow-y: auto;
    position: fixed;
    top: 40px;
    width: 250px;
    z-index: 99;
}

.yoo-menu-items-container {
    width: 95%;
    margin: 0 auto;
}

.yoo-menu-item {
    display: block;
    text-decoration: none;
    color: #808489;
    padding: 10px;
    margin: 5px 0;
    border-radius: 4px;
    transition: background-color 0.2s ease, color 0.2s ease;
}

.yoo-menu-item.disabled {
    opacity: 0.5;
}

.yoo-menu-icon {
    vertical-align: middle;
    margin-right: 10px;
    font-size: 1.5rem;
    transition: color 0.2s ease;
}

.yoo-menu-text {
    vertical-align: middle;
    font-size: 13px;
    font-weight: 600;
    transition: color 0.2s ease;
}

.yoo-menu-item:hover, 
.yoo-menu-item.active {
    color: #1a7efb;
    background-color: #e8f2ff;
}

.yoo-menu-item.yoo-get-pro {
    color: #FFF;
    background: #1a7efb;
}

.yoo-body {
    flex: 1;
    padding: 20px;
    float: none;
    background: #FFFFFF;
    margin-left: 250px;
}

.yoo-menu .yoo-logo {
    margin: 20px 0;
    display: flex;
}

.yoo-menu-pro img {
    vertical-align: middle;
    margin-right: 10px;
    width: 24px;
}

.yoo-menu-pro {
    position: absolute;
    left: 7px;
    right: 7px;
    bottom: 10px;
}

.yoo-coming-soon-chip {
    margin-left: 3px;
    font-size: 10px;
    height: 20px;
}

.yoo-menu-item .yoo-coming-soon-chip {
    float: right;
    margin-right: 25px;
}

.yoo-dashboard-filter {
    margin-bottom: 15px;
}

.yoo-date-range-picker {
    cursor: pointer;
    width: 210px;
}

.yoo-date-range-picker .components-input-base {
    border-radius: 4px;
    line-height: 40px;
}

.yoo-date-range-picker .components-input-control__container {
    padding: 0 4px;
}

.yoo-date-range-picker-container {
    position: absolute;
    z-index: 99;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    margin-top: 5px;
    padding-bottom: 10px;
}

.yoo-stats-box {
    border-radius: 7px;
    padding: 15px;
    width: 100%;
}

.yoo-stats-box h3 {
    margin: 0;
}

.yoo-stats {
    margin-top: 10px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 10px;
}

.yoo-stats-up {
    background-color: var(--growth-green);
}

.yoo-stats-down {
    background-color: var(--growth-red);
}

.yoo-stats img {
    width: 50px;
    height: auto;
    object-fit: contain;
}

.yoo-stats-text {
    color: #5f5f5f;
}

.yoo-header p {
    color: #5f5f5f;
}

.yoo-dashboard-logs {
    padding-top: 20px;
}

.yoo-dashboard-cards {
    position: relative;
}

.yoo-dashboard-card-no-results {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
}

.yoo-dashboard-cards .components-card__header,
.yoo-dashboard-cards .components-card__body {
    padding: 15px;
}

.yoo-dashboard-cards .components-card__header h2,
.yoo-dashboard-cards .components-card__body ul {
    margin: 0;
}

.yoo-search-engines-card {
    min-height: 253px;
}

.yoo-top-referers-card {
    min-height: 253px;
}

.yoo-search-engines-card img {
    width: 14px;
    vertical-align: text-top;
    margin-right: 10px;
}

.yoo-search-engines-card tr {
    cursor: pointer;
}

.yoo-search-engines-card td:nth-child(2) {
    text-align: right;
}

.yoo-search-engines-card tr,
.yoo-top-referers-card tr {
    line-height: 25px;
}

.yoo-toast-notification {
    margin-top: 25px;
}

.yoo-dashboard-cards.yoo-dashboard-stats {
    background: #fafafa;
    width: 100%;
    height: 641px;
    border-radius: 7px;
}

.yoo-dashboard-stats-tooltip {
    cursor: pointer;
}

.yoo-top-referers-card tr {
    cursor: pointer;
}